<app-header></app-header>
<div class="card">
  <div class="card-body">
    <form #contentEntry="ngForm" (submit)="save(contentEntry);">
    <div class="col-md-12 col-xs-12">
      <div class="col-md-7 col-xs-12" style="float: left; ">
        <div class="form-row">
          <div class="form-group col-md-12">
            <div class="col-md-2" style="float: left;">
              <label class="control-label" style="font-size: 11px">Location</label>
            </div>
            <div class="col-md-8" style="float: left;">
              <select  name="location" #locationId="ngModel" [(ngModel)]="location" class="form-control form-control-sm col-6">
                <option *ngFor="let loc of locationList;" [value]="loc.name">{{loc.name}}</option>
              </select>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-md-12">
            <div class="col-md-2" style="float: left;">
              <label class="control-label" style="font-size: 11px">Status Type</label>
            </div>
            <div class="col-md-8" style="float: left;">
              <select  name="statusType" #statusTypeId="ngModel" [(ngModel)]="statusType" class="form-control form-control-sm col-6">
                <option *ngFor="let loc of statusList;" [value]="loc.id">{{loc.name}}</option>
              </select>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-md-12">
            <div class="col-md-2" style="float:left;">
              <label class="control-label" style="font-size: 11px" >Status</label>
            </div>
            <div class="col-md-8" style="float:left;">
              <textarea name="status"  #statusId="ngModel" [(ngModel)]="status" class="form-control"  rows="2"  > </textarea>
            </div>
          </div>
        </div>

      </div>
      <div class="col-md-5 col-xs-12" style="float: right; ">
      </div>
    </div>
      <button type="submit" class="btn btn-secondary"  >Post</button>
    </form>
  </div>
</div>

<div class="col-md-12" >
  <div *ngFor="let i of allStatusList">
    <div class="col-md-4" style="float:left">
      <ul>
        <li>
          <a><i class="fas fa-user"></i>  {{i.name}}</a>
        </li>
        <li>
          <a><i class="fa fa-edit fa-lg"></i>  {{i.status}}</a>
        </li>
        <li>
          <a><i class="fas fa-map-marker-alt"></i>  {{i.location}}</a>
        </li>

      </ul>
    </div>
  </div>
</div>
